## Index

### Interfaces

- AWSOptions
- AuthOptions
- CookieJar
- CoreOptions
- DefaultUriUrlRequestApi
- HawkOptions
- Headers
- HttpArchiveRequest
- Multipart
- NameValuePair
- OAuthOptions
- Request
- RequestAPI
- RequestAsJSON
- RequestPart
- Response
- ResponseAsJSON
- UriOptions
- UrlOptions

### Type aliases

- Cookie
- OptionalUriUrl
- Options
- OptionsWithUri
- OptionsWithUrl
- RequestCallback
- RequestResponse
- RequiredUriUrl
- ResponseRequest

## Type aliases

### Cookie

Cookie: Cookie

- Defined in node_modules/@types/request/index.d.ts:388

### OptionalUriUrl

OptionalUriUrl: RequiredUriUrl | __type

- Defined in node_modules/@types/request/index.d.ts:180

### Options

Options: OptionsWithUri | OptionsWithUrl

- Defined in node_modules/@types/request/index.d.ts:184

### OptionsWithUri

OptionsWithUri: UriOptions & CoreOptions

- Defined in node_modules/@types/request/index.d.ts:182

### OptionsWithUrl

OptionsWithUrl: UrlOptions & CoreOptions

- Defined in node_modules/@types/request/index.d.ts:183

### RequestCallback

RequestCallback: function

- Defined in node_modules/@types/request/index.d.ts:186

#### Type declaration

- - (error: any, response: Response, body: any): void

  - #### Parameters

    - ##### error: any

    - ##### response: Response

    - ##### body: any

    #### Returns void

### RequestResponse

RequestResponse: Response

- Defined in node_modules/@types/request/index.d.ts:340

### RequiredUriUrl

RequiredUriUrl: UriOptions | UrlOptions

- Defined in node_modules/@types/request/index.d.ts:178

### ResponseRequest

ResponseRequest: Request

- Defined in node_modules/@types/request/index.d.ts:339

Generated using TypeDoc